package jalview.schemes;

import jalview.api.FeatureColourI;

import java.awt.Color;

/**
 * A convenience class with implementations of FeatureColourI methods. Override
 * methods as required in subclasses.
 */
public class FeatureColourAdapter implements FeatureColourI
{
  @Override
  public boolean isGraduatedColour()
  {
    return isColourByLabel() || isAboveThreshold() || isBelowThreshold();
  }

  @Override
  public Color getColour()
  {
    return Color.BLACK;
  }

  @Override
  public Color getMinColour()
  {
    return Color.WHITE;
  }

  @Override
  public Color getMaxColour()
  {
    return Color.BLACK;
  }

  @Override
  public boolean isColourByLabel()
  {
    return false;
  }

  @Override
  public boolean isBelowThreshold()
  {
    return false;
  }

  @Override
  public boolean isAboveThreshold()
  {
    return false;
  }

  @Override
  public boolean isThresholdMinMax()
  {
    return false;
  }

  @Override
  public float getThreshold()
  {
    return 0f;
  }

  @Override
  public boolean isLowToHigh()
  {
    return true;
  }

}
